if($GameModeArg !$= "Add-Ons/GameMode_DeathMatch_Lite/gamemode.txt" )
{
	error("Error: GameMode_DeathMatch_Lite cannot be used in custom games");
	return;
}

function DM_LoadPrefs()
{
	//rounds per map
	if($Pref::Server::DeathMatch::RoundLimit $= "")
		$Pref::Server::DeathMatch::RoundLimit = 8;
	
	//seconds per round
	if($Pref::Server::DeathMatch::TimeLimit $= "")
		$Pref::Server::DeathMatch::TimeLimit = 180;
	
	//true to load maps in random order, false to load them in numbered order
	if($Pref::Server::DeathMatch::RandomMaps $= "")
		$Pref::Server::DeathMatch::RandomMaps = true;
	
	//true to allow the akimbo rocket item, false to not
	if($Pref::Server::DeathMatch::AkimboRocket $= "")
		$Pref::Server::DeathMatch::AkimboRocket = true;
	
	//register the RTB prefs
	if($RTB::Hooks::ServerControl && !$DM::HasExecutedOnce)
	{
		RTB_registerPref("Rounds per map",				"DeathMatch GameMode",	"$Pref::Server::DeathMatch::RoundLimit",	"int 1 9999",	"GameMode_DeathMatch_Lite",	8,		false,	false,	false);
		RTB_registerPref("Seconds per round",			"DeathMatch GameMode",	"$Pref::Server::DeathMatch::TimeLimit",		"int 1 99999",	"GameMode_DeathMatch_Lite",	180,	false,	false,	false);
		RTB_registerPref("Load maps in random order",	"DeathMatch GameMode",	"$Pref::Server::DeathMatch::RandomMaps",	"bool",			"GameMode_DeathMatch_Lite",	true,	false,	false,	false);
		RTB_registerPref("Enable Akimbo Rocket item",	"DeathMatch GameMode",	"$Pref::Server::DeathMatch::AkimboRocket",	"bool",			"GameMode_DeathMatch_Lite",	true,	false,	false,	false);
	}
	
	$DM::Version = 2.1;
}

//load the prefs
DM_LoadPrefs();

if(!$DM::HasExecutedOnce)
{
	//load akimbo rocket item
	exec("./akimborocket/akimborocket.cs");
	
	//execute main code file
	exec("./core/main.cs");
	
	//make sure this doesnt happen again
	$DM::HasExecutedOnce = true;
	
	//start the ticks
	DM_Tick(($Pref::Server::DeathMatch::TimeLimit * 10), true);
	DM_TickAlt();
}
else
	exec("./core/main.cs");

//debug console command to reload the gamemode
function DM_exec()
{
	setmodpaths(getmodpaths());
	exec("Add-Ons/GameMode_DeathMatch_Lite/server.cs");
}